# Generated by Django 4.0.10 on 2023-04-28 08:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('artefacts', '0014_alter_damageassessment_options_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='PriorityLevel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=50, unique=True, verbose_name='label')),
                ('color', models.CharField(max_length=7, verbose_name='color')),
            ],
        ),
        migrations.AddField(
            model_name='artefact',
            name='priority',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.prioritylevel', verbose_name='level of priority'),
        ),
    ]
